#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


#stop all services on localhost
#usage: stop_local.sh [--kill_rmi=no]

. ${TOP}/bin/get_params.sh

${ECHO} "stopping services on localhost"
$JAVA_RT trigo_admin.common.RootAdmin -cmd=stop_local

if  [ ! "${_TRIGO_KILL_RMI}" = "no" ]; then
    ${ADMIN_DIR}/abort/abort_rmiregistry.sh
fi

case ${TRIGO_APPSVR} in
    websphere|websphere5|websphereAE)
        $TOP/bin/go/stop/stop_appsvr.sh
    ;;
esac
