#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/bin/get_params.sh
SVC_NAME=${_TRIGO_SVC_NAME=scheduler_${SHORT_HOSTNAME}}
. ${ADMIN_DIR}/init_svc_vars.sh

if [ ! "${_TRIGO_STOP}" = "no" ]; then
    ${ADMIN_DIR}/abort/abort_scheduler.sh --svc_name=${SVC_NAME}
fi


${ECHO} "starting service '${SVC_NAME}'"
startWithLogs ${JAVA_RT_HOTSPOT} ${SCHEDULER_MEMORY_FLAG} ${TRIGO_SCHEDULER_JVM_DEBUG_OPTS} -Dsvc_name=${SVC_NAME} ${TRIGO_SCHEDULER_JVM_PROFILING_OPTS} trigo_scheduler.common.Scheduler force
