#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


ACME_NAME=$1

${ECHO} ====================================================
${ECHO} Defining po selections for $ACME_NAME
${ECHO} ====================================================

$JAVA_RT_NOOUT trigo_orders.common.POSelection -company_code=$ACME_NAME -username=jwilson -selection_name="All Purchase Orders" -selection_type="ALL_POS"
$JAVA_RT_NOOUT trigo_orders.common.POSelection -company_code=$ACME_NAME -username=jwilson -selection_name="All Purchase Orders From Ariba" -selection_type="ALL_POS" -marketplace_code="ariba"
$JAVA_RT_NOOUT trigo_orders.common.POSelection -company_code=$ACME_NAME -username=jwilson -selection_name="All Purchase Orders From Commerce One" -selection_type="ALL_POS" -marketplace_code="c1"

${ECHO} ====================================================
${ECHO} Defining po exports for $ACME_NAME
${ECHO} ====================================================

$JAVA_RT_NOOUT trigo_orders.common.POExport -company_code=$ACME_NAME -username=jwilson -distribution_name="By email" -selection_name="All Purchase Orders" -script_path="/scripts/export/po/xCBL PO Export"
$JAVA_RT_NOOUT trigo_orders.common.POExport -company_code=$ACME_NAME -username=jwilson -distribution_name="By email" -selection_name="All Purchase Orders From Ariba" -script_path="/scripts/export/po/xCBL PO Export"
$JAVA_RT_NOOUT trigo_orders.common.POExport -company_code=$ACME_NAME -username=jwilson -distribution_name="By email" -selection_name="All Purchase Orders From Commerce One" -script_path="/scripts/export/po/xCBL PO Export"
