#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


${ECHO} ====================================================
${ECHO} defining syndication for $1
${ECHO} ====================================================

$JAVA_RT_NOOUT austin.setup.SyndicationCreator -company_code=$1 \
                                               -market_spec_name=Ariba \
                                               -catalog_name="master ctg" \
                                               -spec_map_name="Master Catalog Spec-to-Ariba" \
                                               -export_script_name="cXML" \
                                               -creator_user_name=bwilson \
                                               -syndication_name="Master Ctg to Ariba cXML"
$JAVA_RT_NOOUT austin.setup.SyndicationCreator -company_code=$1 \
                                               -market_spec_name=Ariba \
                                               -catalog_name="customer ctg" \
                                               -spec_map_name="Customer Catalog Spec-to-Ariba" \
                                               -export_script_name="cXML" \
                                               -creator_user_name=jwilson \
                                               -approver_user_name=jwilson \
                                               -syndication_name="Customer Ctg to Ariba cXML"
$JAVA_RT_NOOUT austin.setup.SyndicationCreator -company_code=$1 \
                                               -market_spec_name=Ariba \
                                               -catalog_name="customer ctg" \
                                               -spec_map_name="Customer Catalog Spec-to-Ariba" \
                                               -export_script_name="CIF 3.0" \
                                               -creator_user_name=vjackson \
                                               -syndication_name="Customer Ctg to Ariba CIF3"
$JAVA_RT_NOOUT austin.setup.SyndicationCreator -company_code=$1 \
                                               -market_spec_name=Ariba \
                                               -catalog_name="customer ctg" \
                                               -spec_map_name="Customer Catalog Spec-to-Ariba" \
                                               -export_script_name="CIF 2.1" \
                                               -creator_user_name=jwilson \
                                               -approver_user_name=jwilson \
                                               -syndication_name="Customer Ctg to Ariba CIF2"
$JAVA_RT_NOOUT austin.setup.SyndicationCreator -company_code=$1 \
                                               -market_spec_name="Commerce One for xCBL 3.0" \
                                               -catalog_name="sample ctg" \
                                               -spec_map_name="Catalog Spec-to-Commerce One for xCBL 3.0" \
                                               -export_script_name="xCBL 3.0" \
                                               -params_doc_path="/params/xCBL 3.0 Inputs/Extra Parameters" \
                                               -creator_user_name=jwilson \
                                               -syndication_name="Sample Ctg to C1 xCBL"
$JAVA_RT_NOOUT austin.setup.SyndicationCreator -company_code=$1 \
                                               -market_spec_name="PO_XSD_MKT_SPEC" \
                                               -catalog_name="PO_XSD Catalog" \
                                               -spec_map_name="PO_XSD Catalog to PO_XSD_MKT_SPEC" \
                                               -export_script_name="WBI MQ Export Script" \
                                               -creator_user_name=bwilson \
                                               -syndication_name="WBI MQ Export"
