#! /bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/src/db/schema/util/set_db.sh

${ECHO} ====================================================
${ECHO} loading stored procedures
${ECHO} ====================================================

for file in $(\ls -1 gen/proc/*.sql); do
   SQL_CMDS="${SQL_CMDS} ${DB_SQLFILE_EXECUTE} ${file}\n"
done
eval '${ECHO} -e "$SQL_CMDS" | ${TRIGO_SQLPLUS} ${CONNECTION}'
