#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


# usage:
#   admin_api_wrapper.sh [--sqlfile=<SQL file containing a runstats command>] 


#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} Entered admin_api_wrapper.sh `date` \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

. ${DB_DIR}/util/set_db.sh --db_output=no --confirm_db=no

. ${TOP}/bin/get_params.sh

#${ECHO} ----------------------------------------------------------------------------------------------------------- \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} Running SQL from file \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} SQL File Name    : $_TRIGO_SQLFILE \
#>> $TOP/logs/admin_api_wrapper.log 

#cat $_TRIGO_SQLFILE \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} ----------------------------------------------------------------------------------------------------------- \
#>> $TOP/logs/admin_api_wrapper.log 
${ECHO} -----------------------------------------------------------------------------------------------------------
${ECHO} Running the following SQL at the OS
${ECHO} -----------------------------------------------------------------------------------------------------------
cat $_TRIGO_SQLFILE
${ECHO} -----------------------------------------------------------------------------------------------------------

. ${DB_DIR}/util/run_db_cmd.sh --file=$_TRIGO_SQLFILE 
#>> $TOP/logs/admin_api_wrapper.log 
${ECHO} -----------------------------------------------------------------------------------------------------------

#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} Exiting admin_api_wrapper.sh `date` \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} \
#>> $TOP/logs/admin_api_wrapper.log 
#${ECHO} \
#>> $TOP/logs/admin_api_wrapper.log 

